import { Comp } from '@constants/story'

import {{name}} from '../{{name}}'
import { {{name}}Data } from './Data'
import mdx from './{{name}}.doc.mdx'

export default {
  title: `${Comp}/{{name}}`,
  component: {{name}},
  excludeStories: /.*Data$/,
  parameters: {
    docs: {
      page: mdx,
    },
  },
}

const Template = ({ ...args }) => ({
  Component: {{name}},
  props: {
    ...args,
  }
});

export const Default = Template.bind({})
Default.args = {
  ...{{name}}Data,
}
